aboutsummaryrefslogtreecommitdiffstats
path: root/SOURCE/CORE/core-edit.sh
diff options
context:
space:
mode:
authordanix <danix@danix.xyz>2023-03-29 11:19:55 +0200
committerdanix <danix@danix.xyz>2023-03-29 11:19:55 +0200
commitfb71118327216a21f6732161dc3721496a16370d (patch)
tree96eddf131b1d802be87addd7faece45141e98a9a /SOURCE/CORE/core-edit.sh
parentad818a9d1e26462bfb0c36d585dcbc33b38b37ca (diff)
downloadbash-notes-fb71118327216a21f6732161dc3721496a16370d.tar.gz
bash-notes-fb71118327216a21f6732161dc3721496a16370d.zip
Separated script into multiple files for easier management. Added Makefile
Diffstat (limited to 'SOURCE/CORE/core-edit.sh')
-rw-r--r--SOURCE/CORE/core-edit.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/SOURCE/CORE/core-edit.sh b/SOURCE/CORE/core-edit.sh
new file mode 100644
index 0000000..c42e63d
--- /dev/null
+++ b/SOURCE/CORE/core-edit.sh
@@ -0,0 +1,23 @@
+function editnote() {
+ NOTE=$1
+ # shellcheck disable=SC2155
+ local OK=$(check_noteID "$NOTE")
+ if [ ! "$OK" ]; then
+ echo "invalid note \"$NOTE\""
+ echo "Use the note ID that you can fetch after listing your notes"
+ exit 1
+ fi
+
+ # shellcheck disable=SC2016,SC2086
+ TITLE=$($JQ --arg i $OK '.notes[] | select(.id == $i) | .title' $DB)
+ # shellcheck disable=SC2016,SC2086
+ FILE=$($JQ -r --arg i $OK '.notes[] | select(.id == $i) | .file' $DB)
+ if [ "$TITLE" ]; then
+ echo "editing note $TITLE"
+ # shellcheck disable=SC2086,SC2091
+ $(${TERMINAL} ${TERM_OPTS} ${EDITOR} ${NOTESDIR}/${FILE})
+ else
+ echo "note not found"
+ exit 1
+ fi
+}